Changeset 239


Ignore:
Timestamp:
Mar 6, 2007 9:55:02 AM (14 years ago)
Author:
andreasw
Message:

use test -r to check existence of libtool script, not AC_CHECK_FILE, since that does not seem to work for cross compilation

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r236 r239  
    48034803
    48044804LIBTOOL=
    4805 echo "$as_me:$LINENO: checking for ../libtool" >&5
    4806 echo $ECHO_N "checking for ../libtool... $ECHO_C" >&6
    4807 if test "${ac_cv_file____libtool+set}" = set; then
    4808   echo $ECHO_N "(cached) $ECHO_C" >&6
    4809 else
    4810   test "$cross_compiling" = yes &&
    4811   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4812 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4813    { (exit 1); exit 1; }; }
    4814 if test -r "../libtool"; then
    4815   ac_cv_file____libtool=yes
    4816 else
    4817   ac_cv_file____libtool=no
    4818 fi
    4819 fi
    4820 echo "$as_me:$LINENO: result: $ac_cv_file____libtool" >&5
    4821 echo "${ECHO_T}$ac_cv_file____libtool" >&6
    4822 if test $ac_cv_file____libtool = yes; then
     4805if test -r ../libtool; then
    48234806  coin_config_dir=..
    4824                LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    4825 fi
    4826 
     4807  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
     4808fi
    48274809if test "x$LIBTOOL" = x; then
    4828   echo "$as_me:$LINENO: checking for ../../libtool" >&5
    4829 echo $ECHO_N "checking for ../../libtool... $ECHO_C" >&6
    4830 if test "${ac_cv_file_______libtool+set}" = set; then
    4831   echo $ECHO_N "(cached) $ECHO_C" >&6
    4832 else
    4833   test "$cross_compiling" = yes &&
    4834   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    4835 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    4836    { (exit 1); exit 1; }; }
    4837 if test -r "../../libtool"; then
    4838   ac_cv_file_______libtool=yes
    4839 else
    4840   ac_cv_file_______libtool=no
    4841 fi
    4842 fi
    4843 echo "$as_me:$LINENO: result: $ac_cv_file_______libtool" >&5
    4844 echo "${ECHO_T}$ac_cv_file_______libtool" >&6
    4845 if test $ac_cv_file_______libtool = yes; then
    4846   coin_config_dir=../..
    4847                  LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
    4848 fi
    4849 
    4850 fi
     4810  if test -r ../../libtool; then
     4811    coin_config_dir=../..
     4812    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     4813  fi
     4814fi
     4815
     4816# AC_CHECK_FILE seems to complain when doing cross compilation...(?!??)
     4817#AC_CHECK_FILE([../libtool],
     4818#              [coin_config_dir=..
     4819#               LIBTOOL='$(SHELL) $(top_builddir)/../libtool'])
     4820#if test "x$LIBTOOL" = x; then
     4821#  AC_CHECK_FILE([../../libtool],
     4822#                [coin_config_dir=../..
     4823#                 LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'])
     4824#fi
    48514825# if test "x$LIBTOOL" = x; then
    48524826#   AC_CHECK_FILE([../../../libtool],
     
    54065380*-*-irix6*)
    54075381  # Find out which ABI we are using.
    5408   echo '#line 5408 "configure"' > conftest.$ac_ext
     5382  echo '#line 5382 "configure"' > conftest.$ac_ext
    54095383  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54105384  (eval $ac_compile) 2>&5
     
    78357809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78367810   -e 's:$: $lt_compiler_flag:'`
    7837    (eval echo "\"\$as_me:7837: $lt_compile\"" >&5)
     7811   (eval echo "\"\$as_me:7811: $lt_compile\"" >&5)
    78387812   (eval "$lt_compile" 2>conftest.err)
    78397813   ac_status=$?
    78407814   cat conftest.err >&5
    7841    echo "$as_me:7841: \$? = $ac_status" >&5
     7815   echo "$as_me:7815: \$? = $ac_status" >&5
    78427816   if (exit $ac_status) && test -s "$ac_outfile"; then
    78437817     # The compiler can only warn and ignore the option if not recognized
     
    81038077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81048078   -e 's:$: $lt_compiler_flag:'`
    8105    (eval echo "\"\$as_me:8105: $lt_compile\"" >&5)
     8079   (eval echo "\"\$as_me:8079: $lt_compile\"" >&5)
    81068080   (eval "$lt_compile" 2>conftest.err)
    81078081   ac_status=$?
    81088082   cat conftest.err >&5
    8109    echo "$as_me:8109: \$? = $ac_status" >&5
     8083   echo "$as_me:8083: \$? = $ac_status" >&5
    81108084   if (exit $ac_status) && test -s "$ac_outfile"; then
    81118085     # The compiler can only warn and ignore the option if not recognized
     
    82078181   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82088182   -e 's:$: $lt_compiler_flag:'`
    8209    (eval echo "\"\$as_me:8209: $lt_compile\"" >&5)
     8183   (eval echo "\"\$as_me:8183: $lt_compile\"" >&5)
    82108184   (eval "$lt_compile" 2>out/conftest.err)
    82118185   ac_status=$?
    82128186   cat out/conftest.err >&5
    8213    echo "$as_me:8213: \$? = $ac_status" >&5
     8187   echo "$as_me:8187: \$? = $ac_status" >&5
    82148188   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82158189   then
     
    1055210526  lt_status=$lt_dlunknown
    1055310527  cat > conftest.$ac_ext <<EOF
    10554 #line 10554 "configure"
     10528#line 10528 "configure"
    1055510529#include "confdefs.h"
    1055610530
     
    1065210626  lt_status=$lt_dlunknown
    1065310627  cat > conftest.$ac_ext <<EOF
    10654 #line 10654 "configure"
     10628#line 10628 "configure"
    1065510629#include "confdefs.h"
    1065610630
     
    1299612970   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299712971   -e 's:$: $lt_compiler_flag:'`
    12998    (eval echo "\"\$as_me:12998: $lt_compile\"" >&5)
     12972   (eval echo "\"\$as_me:12972: $lt_compile\"" >&5)
    1299912973   (eval "$lt_compile" 2>conftest.err)
    1300012974   ac_status=$?
    1300112975   cat conftest.err >&5
    13002    echo "$as_me:13002: \$? = $ac_status" >&5
     12976   echo "$as_me:12976: \$? = $ac_status" >&5
    1300312977   if (exit $ac_status) && test -s "$ac_outfile"; then
    1300412978     # The compiler can only warn and ignore the option if not recognized
     
    1310013074   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1310113075   -e 's:$: $lt_compiler_flag:'`
    13102    (eval echo "\"\$as_me:13102: $lt_compile\"" >&5)
     13076   (eval echo "\"\$as_me:13076: $lt_compile\"" >&5)
    1310313077   (eval "$lt_compile" 2>out/conftest.err)
    1310413078   ac_status=$?
    1310513079   cat out/conftest.err >&5
    13106    echo "$as_me:13106: \$? = $ac_status" >&5
     13080   echo "$as_me:13080: \$? = $ac_status" >&5
    1310713081   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310813082   then
     
    1467014644   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467114645   -e 's:$: $lt_compiler_flag:'`
    14672    (eval echo "\"\$as_me:14672: $lt_compile\"" >&5)
     14646   (eval echo "\"\$as_me:14646: $lt_compile\"" >&5)
    1467314647   (eval "$lt_compile" 2>conftest.err)
    1467414648   ac_status=$?
    1467514649   cat conftest.err >&5
    14676    echo "$as_me:14676: \$? = $ac_status" >&5
     14650   echo "$as_me:14650: \$? = $ac_status" >&5
    1467714651   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467814652     # The compiler can only warn and ignore the option if not recognized
     
    1477414748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477514749   -e 's:$: $lt_compiler_flag:'`
    14776    (eval echo "\"\$as_me:14776: $lt_compile\"" >&5)
     14750   (eval echo "\"\$as_me:14750: $lt_compile\"" >&5)
    1477714751   (eval "$lt_compile" 2>out/conftest.err)
    1477814752   ac_status=$?
    1477914753   cat out/conftest.err >&5
    14780    echo "$as_me:14780: \$? = $ac_status" >&5
     14754   echo "$as_me:14754: \$? = $ac_status" >&5
    1478114755   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1478214756   then
     
    1698116955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1698216956   -e 's:$: $lt_compiler_flag:'`
    16983    (eval echo "\"\$as_me:16983: $lt_compile\"" >&5)
     16957   (eval echo "\"\$as_me:16957: $lt_compile\"" >&5)
    1698416958   (eval "$lt_compile" 2>conftest.err)
    1698516959   ac_status=$?
    1698616960   cat conftest.err >&5
    16987    echo "$as_me:16987: \$? = $ac_status" >&5
     16961   echo "$as_me:16961: \$? = $ac_status" >&5
    1698816962   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698916963     # The compiler can only warn and ignore the option if not recognized
     
    1724917223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725017224   -e 's:$: $lt_compiler_flag:'`
    17251    (eval echo "\"\$as_me:17251: $lt_compile\"" >&5)
     17225   (eval echo "\"\$as_me:17225: $lt_compile\"" >&5)
    1725217226   (eval "$lt_compile" 2>conftest.err)
    1725317227   ac_status=$?
    1725417228   cat conftest.err >&5
    17255    echo "$as_me:17255: \$? = $ac_status" >&5
     17229   echo "$as_me:17229: \$? = $ac_status" >&5
    1725617230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725717231     # The compiler can only warn and ignore the option if not recognized
     
    1735317327   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735417328   -e 's:$: $lt_compiler_flag:'`
    17355    (eval echo "\"\$as_me:17355: $lt_compile\"" >&5)
     17329   (eval echo "\"\$as_me:17329: $lt_compile\"" >&5)
    1735617330   (eval "$lt_compile" 2>out/conftest.err)
    1735717331   ac_status=$?
    1735817332   cat out/conftest.err >&5
    17359    echo "$as_me:17359: \$? = $ac_status" >&5
     17333   echo "$as_me:17333: \$? = $ac_status" >&5
    1736017334   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1736117335   then
     
    2025820232ac_save_FFLAGS=$FFLAGS
    2025920233FFLAGS="$FFLAGS $ac_verb"
    20260 (eval echo $as_me:20260: \"$ac_link\") >&5
     20234(eval echo $as_me:20234: \"$ac_link\") >&5
    2026120235ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2026220236echo "$ac_f77_v_output" >&5
     
    2033620310ac_save_FFLAGS=$FFLAGS
    2033720311FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20338 (eval echo $as_me:20338: \"$ac_link\") >&5
     20312(eval echo $as_me:20312: \"$ac_link\") >&5
    2033920313ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2034020314echo "$ac_f77_v_output" >&5
Note: See TracChangeset for help on using the changeset viewer.